Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition
Interface Definitions

All Known Implementing Classes:
  DefinitionsImpl

Deprecated. This interface is never used, except in the deprecated class `DefinitionsImpl`.

    @Deprecated
    public interface Definitions

Interface for managing collections of `Definition` objects.

The Definitions interface provides a pattern for managing Definition objects. Implementations will provide a means to append new Definitions to the collection, add and retrieve lcale-specific Definitions objects, and reset the collections.

Version:
  $Rev: 663697 $ $Date: 2008-06-05 20:53:08 +0200 (gio, 05 giu 2008) $

Method Summary
`void` | `addDefinitions(java.util.Map<java.lang.String,Definition> defsMap)` Deprecated. Adds new Definition objects to the internal collection and resolves inheritance attraibutes.
`void` | `addDefinitions(java.util.Map<java.lang.String,Definition> defsMap, java.util.Locale locale)` Deprecated. Adds new locale-specific Definition objects to the internal collection and resolves inheritance attraibutes.
`java.util.Map<java.lang.String,Definition>` | `getBaseDefinitions()` Deprecated. Returns base definitions collection.
`Definition` | `getDefinition(java.lang.String name)` Deprecated. Returns a Definition object that matches the given name.
`Definition` | `getDefinition(java.lang.String name, java.util.Locale locale)` Deprecated. Returns a Definition object that matches the given name and locale.
`void` | `reset()` Deprecated. Clears definitions.
`void` | `resolveInheritances()` Deprecated. Resolves configuration inheritance properties.
`void` | `resolveInheritances(java.util.Locale locale)` Deprecated. Resolves locale-specific configuration inheritance properties.

Method Detail

### getDefinition

    Definition getDefinition(java.lang.String name)

  Deprecated.
  Returns a Definition object that matches the given name.

  Parameters:
    `name` - The name of the Definition to return.
  Returns:
    the Definition matching the given name or null if none is found.

### addDefinitions

    void addDefinitions(java.util.Map<java.lang.String,Definition> defsMap)

  Deprecated.
  Adds new Definition objects to the internal collection and resolves inheritance attraibutes.

  Parameters:
    `defsMap` - The new definitions to add.
  Throws:
    `NoSuchDefinitionException` - if a Definition extends from one that doesn't exist.

### addDefinitions

    void addDefinitions(java.util.Map<java.lang.String,Definition> defsMap,
                        java.util.Locale locale)

  Deprecated.
  Adds new locale-specific Definition objects to the internal collection and resolves inheritance attraibutes.

  Parameters:
    `defsMap` - The new definitions to add.
    `locale` - The locale to add the definitions to.
  Throws:
    `NoSuchDefinitionException` - if a Definition extends from one that doesn't exist.

### getDefinition

    Definition getDefinition(java.lang.String name,
                             java.util.Locale locale)

  Deprecated.
  Returns a Definition object that matches the given name and locale.

  Parameters:
    `name` - The name of the Definition to return.
    `locale` - The locale to use to resolve the definition.
  Returns:
    the Definition matching the given name or null if none is found.

### resolveInheritances

    void resolveInheritances()

  Deprecated.
  Resolves configuration inheritance properties.

  Throws:
    `NoSuchDefinitionException` - If parent definitions are not found.

### resolveInheritances

    void resolveInheritances(java.util.Locale locale)

  Deprecated.
  Resolves locale-specific configuration inheritance properties.

  Parameters:
    `locale` - The locale object to use.
  Throws:
    `NoSuchDefinitionException` - If parent definitions are not found.

### reset

    void reset()

  Deprecated.
  Clears definitions.

### getBaseDefinitions

    java.util.Map<java.lang.String,Definition> getBaseDefinitions()

  Deprecated.
  Returns base definitions collection.

  Returns:
    A map of the type "definition name -> definition".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.